<?
/*
 * gCards - a web-based eCard application
 * Copyright (C) 2003 Greg Neustaetter
 * 
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or (at
 * your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
 */
session_start();
include_once('loginfunction.php');
include_once('../inc/UIfunctions.php');
include_once('../config.php');
include_once('../inc/formFunctions.php');
include_once("../inc/".$languageFile);
checkUser('admin');

showHeader($nav05,'../');

include_once('../inc/adodb300/adodb.inc.php');	   # load code common to ADOdb
$ADODB_FETCH_MODE = ADODB_FETCH_ASSOC;
$conn = &ADONewConnection('mysql');	# create a connection
$conn->Connect($dbhost,$dbuser,$dbpass,$dbdatabase);

$time = time();
$limit = $HTTP_GET_VARS['limit'];
$row = $HTTP_GET_VARS['row'];

if ($HTTP_POST_VARS['action'] == 'add')
{
	$newssubject = checkAddSlashes($HTTP_POST_VARS['newssubject']);
	$body = checkAddSlashes($HTTP_POST_VARS['body']);
	$author = checkAddSlashes($HTTP_SESSION_VARS['auth_user']);
	$addsql = "INSERT INTO ".$tablePrefix."news (username, subject, body, postdate) VALUES ('$author', '$newssubject', '$body', $time)";
	if ($conn->Execute($addsql))
		echo "<br>$news05 $admin14";
	else
		echo "<br><span class='error'>$news05 $admin11 $admin14</span>";
}

if ($HTTP_POST_VARS['action'] == 'edit')
{
	$newsid = $HTTP_POST_VARS['newsid'];
	$newssubject = checkAddSlashes($HTTP_POST_VARS['newssubject']);
	$body = checkAddSlashes($HTTP_POST_VARS['body']);
	$editsql = "UPDATE ".$tablePrefix."news set subject='$newssubject', body='$body' where newsid=$newsid";
	if ($conn->Execute($editsql))
		echo "<br>$news05 $admin12";
	else
		echo "<br><span class='error'>$news05 $admin11 $admin12</span>";
}

if ($HTTP_GET_VARS['action'] == 'delete')
{
	$newsid = $HTTP_GET_VARS['newsid'];
	$deletesql = "DELETE from ".$tablePrefix."news WHERE newsid=$newsid";
	if ($conn->Execute($deletesql))
		echo "$news05 $admin10<br>";
	else
		echo "<span class='error'>$news05 $admin11 $admin10</span><br>";
}


if (!$row) $row = 0;  // start on first row if a row is not selected
if (!$limit) $limit = 10;  // set the number of cards per page
$summaryLength = 150;


$newsInTableSQL = "SELECT COUNT(*) from ".$tablePrefix."news";
$numNews = $conn->GetOne($newsInTableSQL);

if (($numNews % $limit) == 0) 
	$pages = ($numNews/$limit);
else 
	$pages = intval($numNews/$limit) + 1;
$current = ($row/$limit) + 1;  // Current Page

$getNewsSQL = "SELECT * from ".$tablePrefix."news ORDER BY newsid DESC";
$newsRecordSet = &$conn->SelectLimit($getNewsSQL,$limit,$row );
if (!$newsRecordSet) print $conn->ErrorMsg();
else
{
	?>
		
		<table cellspacing="2" cellpadding="2">
			<tr>
				<td><? showLink('addnews.php?action=new',"$news05 $action02");?></td>
			</tr>
		</table>
		<br>
		<table cellspacing="2" cellpadding="2">
			<tr>
				<th><? echo "$news05 $admin08";?></th><th><? echo $news06;?></th><th><? echo $news07;?></th><th><? echo $news08;?></th><th><? echo $news09;?></th><th colspan="3"><? echo $action01;?></th>
			</tr>
	<?
	while (!$newsRecordSet->EOF)
	{
		$newsid = $newsRecordSet->fields[newsid];
		$username = $newsRecordSet->fields[username];
		$newssubject = $newsRecordSet->fields[subject];
		$body = substr($newsRecordSet->fields[body],0,50)."...";
		$postdate = date("F j, Y g:i a", $newsRecordSet->fields[postdate]);
		?>
		<tr>
			<td><? echo $newsid;?></td>
			<td><? echo $newssubject;?></td>
			<td><? echo $body;?></td>
			<td><? echo $postdate;?></td>
			<td><? echo $username;?></td>
			<td><? showLink("../getnewsitem.php?newsid=$newsid",$action05,'_blank');?></td>
			<td><? showLink("addnews.php?newsid=$newsid&action=old",$action03);?></td>
			<td><? showLink($HTTP_SERVER_VARS['PHP_SELF']."?newsid=$newsid&limit=$limit&row=$row&action=delete",$action04);?></td>
		</tr>
		<?
		$newsRecordSet->MoveNext();
	}

		if (!($pages == 1))
		{
		echo "<tr><td colspan='8'>";
		if ($row != 0) {  // if not the first page create back link with record set 1 page back (record - limit)
			$backPage = $row - $limit;  
			echo "<a href='".$HTTP_SERVER_VARS['PHP_SELF']."?row=$backPage&limit=$limit'>$nav01</a>&nbsp;&nbsp; \n";}
		for ($i=1; $i <= $pages; $i++) {  
			$ppage = $limit*($i - 1);  // ppage is record at a certain page
			if ($ppage == $row){
				echo "<b>$i</b>&nbsp;&nbsp; \n";}  // if current page just show page number
			else {
				echo "<a href='".$HTTP_SERVER_VARS['PHP_SELF']."?row=$ppage&limit=$limit'>$i</a>&nbsp;&nbsp; \n";}}  // else show link to page number
		if ($current < $pages) { // Give next link if not last page
			$nextPage = $row + $limit;
			echo("<a href='".$HTTP_SERVER_VARS['PHP_SELF']."?row=$nextPage&limit=$limit'>$nav02</a>");}
		echo "</td></tr>";
		}
		?>
		<tr>
			<form action="<? echo $HTTP_SERVER_VARS['PHP_SELF']; ?>" method="POST">
			<td colspan="8">
				<? echo $nav04;?>
				<select name="limit" id="limit" onChange="submit()">
					<option value="5" <? if ($limit == 5) echo 'selected'?>>5</option>
					<option value="10" <? if ($limit == 10) echo 'selected'?>>10</option>
					<option value="15" <? if ($limit == 15) echo 'selected'?>>15</option>
					<option value="20" <? if ($limit == 20) echo 'selected'?>>20</option>
					<option value="25" <? if ($limit == 25) echo 'selected'?>>25</option>
					<option value="50" <? if ($limit == 50) echo 'selected'?>>50</option>
				</select>
				<? echo $nav10;?>
			</td>
			</form>
		</tr>
		</table>

	<?
}

$conn->Close(); # optional
showFooter();
?>
